MsWks3TextInternal::TextZone Struct Reference

Internal: the text zone. More...

## Public Types

enum | Type { Header , Footer , Main , Unknown }

## Public Member Functions

| TextZone ()
| constructor
bool | isMain () const
| return true if this is the main zone

## Public Attributes

int | m_type
| the zone type;
int | m_id
| the zone id
std::vector< LineZone > | m_zonesList
| the list of zones
std::vector< int > | m_linesHeight
| the line height
std::vector< int > | m_pagesHeight
| the pages height
std::map< int, bool > | m_pagesPosition
| the zone id -> hard break
std::map< int, MWAWVec2i > | m_footnoteMap
| the note id -> zone limit
std::string | m_text
| a string used to store v1-2 files header/footer
bool | m_isSent
| flag to know if the zone is send or not

## Detailed Description

Internal: the text zone.

## Member Enumeration Documentation

## Type

enum MsWks3TextInternal::TextZone::Type

Enumerator
Header |
Footer |
Main |
Unknown |

## Constructor & Destructor Documentation

## TextZone()

MsWks3TextInternal::TextZone::TextZone | ( |  | ) |

inline

constructor

## Member Function Documentation

## isMain()

bool MsWks3TextInternal::TextZone::isMain | ( |  | ) | const

inline

return true if this is the main zone

Referenced by MsWks3Text::send().

## Member Data Documentation

## m_footnoteMap

std::map<int, MWAWVec2i> MsWks3TextInternal::TextZone::m_footnoteMap

the note id -> zone limit

Referenced by MsWks3Text::send(), TextZone(), and MsWks3Text::updateNotes().

## m_id

int MsWks3TextInternal::TextZone::m_id

the zone id

Referenced by MsWks3Text::send(), and TextZone().

## m_isSent

bool MsWks3TextInternal::TextZone::m_isSent

flag to know if the zone is send or not

Referenced by MsWks3Text::send(), and TextZone().

## m_linesHeight

std::vector<int> MsWks3TextInternal::TextZone::m_linesHeight

the line height

Referenced by TextZone(), and MsWks3Text::update().

## m_pagesHeight

std::vector<int> MsWks3TextInternal::TextZone::m_pagesHeight

the pages height

Referenced by TextZone(), and MsWks3Text::update().

## m_pagesPosition

std::map<int, bool> MsWks3TextInternal::TextZone::m_pagesPosition

the zone id -> hard break

Referenced by MsWks3Text::send(), TextZone(), and MsWks3Text::update().

## m_text

std::string MsWks3TextInternal::TextZone::m_text

a string used to store v1-2 files header/footer

Referenced by MsWks3Text::send(), and TextZone().

## m_type

int MsWks3TextInternal::TextZone::m_type

the zone type;

Referenced by isMain(), and TextZone().

## m_zonesList

std::vector<LineZone> MsWks3TextInternal::TextZone::m_zonesList

the list of zones

Referenced by MsWks3Text::send(), TextZone(), MsWks3Text::update(), and MsWks3Text::updateNotes().

The documentation for this struct was generated from the following file:

- MsWks3Text.cxx